org.apache.pdfbox.rendering

## Class PageDrawerParameters

- java.lang.Object
- - org.apache.pdfbox.rendering.PageDrawerParameters

    public final class PageDrawerParameters
    extends Object

Parameters for a PageDrawer. This class ensures allows PDFRenderer and PageDrawer to share private implementation data in a future-proof manner, while still allowing end-users to create their own subclasses of PageDrawer.

Author:
  John Hewson

### Method Summary

All Methods Instance Methods Concrete Methods
`RenderDestination` `getDestination()`
`float` `getImageDownscalingOptimizationThreshold()`
`PDPage` `getPage()` Returns the page.
`RenderingHints` `getRenderingHints()`
`boolean` `isSubsamplingAllowed()` Returns whether to allow subsampling of images.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getPage

    public PDPage getPage()

Returns the page.

Returns:
  the page

#### isSubsamplingAllowed

    public boolean isSubsamplingAllowed()

Returns whether to allow subsampling of images.

Returns:
  true if subsampling of images os allowed

#### getDestination

    public RenderDestination getDestination()

Returns:
  the destination

#### getRenderingHints

    public RenderingHints getRenderingHints()

Returns:
  the rendering hints.

#### getImageDownscalingOptimizationThreshold

    public float getImageDownscalingOptimizationThreshold()

Returns:
  the imageDownscalingOptimizationThreshold